
#include "fps_handler.h"

FPS_Handler::FPS_Handler()
{
  //initialize all the variables.
  frame = 0;
  
  //start the timers.
  update.start();
  fps.start();

  fps_float = 0;

}

std::string FPS_Handler::get_fps(void)
{
  //check if a second has passed...
  //only returns a value after a new calculation.
  
  if (update.get_ticks() > 1000)
  {
    char temp_str[50];
    int i;
    
    //calculate fps
    fps_float = (float)frame / (fps.get_ticks() / 1000.f);
    
    //put the calculation into a string we can use...
    sprintf(temp_str, "FPS: %f", fps_float);
  
    //restart the timer.
    update.start();
    
    //return the string containing our FPS
    return temp_str;
  }

  //returns an empty string if it's in between updating.
  return ""; 
}

void FPS_Handler::update_frames(void)
{
  //increase to the next frame. (Should be called after every draw)
  frame++;
}
    
void FPS_Handler::regulate_fps(void)
{

  while (((float)frame / (fps.get_ticks() / 1000.f)) >  MAX_FPS)  //wait.
  {
    //wait
  }
    
}

    
  
