#ifndef FPS_HANDLER_H
#define FPS_HANDLER_H

#include <iostream>
#include <cstdio>
#include <cstring>
#include <SDL.h>

#include "timer.h"

#define MAX_FPS 40 //max frames per second that the game can run at.

class FPS_Handler
{
  public: 
    FPS_Handler();              //initializes variables.
    std::string get_fps(void);  //returns value of fps
    void update_frames(void);   //incriments frame by 1
    void regulate_fps(void);    //waits to keep fps steady.
    
  private:
    int frame;
    Timer fps;
    Timer update;

    float fps_float;
};

#endif
