#ifndef SPRITE_H
#define SPRITE_H

/*
  This class defines and holds all the information regarding the player sprite.
  It has it's own class for readability reasons. (It's hard to keep track of many
  sprites if they're all under the same object.
*/

#include <iostream>
#include <cstdio>
#include <cstring>
#include <SDL.h>

#define NUM_FRAMES 1

struct Sprite
{
    
    SDL_Surface **sprite_surface;    //actual sprite is an array of frames
    short x, y;                                   //sprites x & y locations.
    bool drawn;                      //if the object is drawn already.

    
    //animation related:
    short ani_frame;
    short ani_status;
    short ani_wait_count; 
    

};

#endif
