#ifndef SPRITE_HANDLER_H
#define SPRITE_HANDLER_H

#include <iostream>
#include <cstdio>
#include <cstring>
#include <SDL.h>
#include <SDL_ttf.h>
#include "sprite.h"
#include "font_sprite.h"


class Sprite_Handler
{
  public:
    Sprite_Handler();                       //constructor. Initializes SDL and the screen
    ~Sprite_Handler();
    bool collision_detection(Sprite&, Sprite&); //tests to see if two sdl_rects intersect.
    bool draw_scene(short, short);  //draws the images to the screen and locks 
    		                    //it if necessary before doing so.
    void updateFPS(std::string);   //sets the frames per second # to display.

    Sprite player_obj;      //this holds all the sprites for the players info			   
    Sprite enemy_obj;
    
        
  private:
    void draw_part_sprite(SDL_Surface*, short, short, short, short);
    void draw_sprite(SDL_Surface*, short, short);   
    bool init_sprites(void);
    bool set_colorKey(void);
    bool init_fonts(void);
    Sprite bg_obj;      //this holds all the sprites for the background info.    
    SDL_Surface *screen;
    int colorKey;                  //color map of transparency color.   
    
    
    
    Font_Sprite fps; //font surface for frames per second.
    	

 
};

#endif

 
 
