#ifndef TIMER_H
#define TIMER_H

#include <iostream>
#include <cstdio>
#include <cstring>
#include <SDL.h>

//this is sort of a helper class for the FPS class
//it's just a general timer used for the game.

class Timer
{
  public:
    Timer();          //initialize the variables.
    
    //various clock actions.
    void start();
    void stop();
    void pause();
    void unpause();
    
    int get_ticks();   //gets the number of ticks since the timer started.
    
    bool is_started(); //checks the status of the timer.
    bool is_paused();  
    
  private:
    int startTicks;   //the clock time when the timer starts.
    int pausedTicks;  //ticks stored when the timer was paused.
    
    bool paused;      //timer status
    bool started;

};

#endif
